import React from 'react';
import type { IHTMLIFrameElementConfig } from '@diplodoc/html-extension/runtime';
import { Node } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
import { YfmHtmlBlockConsts } from '../YfmHtmlBlockSpecs/const';
export declare const cnYfmHtmlBlock: import("@bem-react/classname").ClassNameFormatter;
export declare const cnHelper: import("@bem-react/classname").ClassNameFormatter;
import './YfmHtmlBlock.css';
export declare function generateID(): string;
export declare const YfmHtmlBlockView: React.FC<{
    getPos: () => number | undefined;
    node: Node;
    onChange: (attrs: {
        [YfmHtmlBlockConsts.NodeAttrs.srcdoc]: string;
    }) => void;
    sanitize?: (dirtyHtml: string) => string;
    useConfig?: () => IHTMLIFrameElementConfig | undefined;
    view: EditorView;
}>;
